Bug 658057 - File conflicts between autotrace-devel multilib packages in Optional repo
Summary: File conflicts between autotrace-devel multilib packages in Optional repo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: autotrace
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 644778
TreeView+ depends on / blocked
 
Reported: 2010-11-29 08:56 UTC by Alexander Todorov
Modified: 2013-03-04 20:20 UTC (History)
4 users (show)

Fixed In Version: autotrace-0.31.1-26.el6
Doc Type: Bug Fix
Doc Text:
When installing autotrace-devel multilib RPM packages from the optional repository, file conflicts between these packages appeared, causing the installation transaction to abort. This problem has been fixed and the installation transaction now proceeds without conflicts.
Clone Of: 644778
Environment:
Last Closed: 2011-08-18 06:45:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fix multilib conflict. (532 bytes, patch)
2010-11-29 14:52 UTC, Jaroslav Škarvada
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1168 normal SHIPPED_LIVE autotrace bug fix update 2011-08-18 06:45:04 UTC

Description Alexander Todorov 2010-11-29 08:56:40 UTC
+++ This bug was initially created as a clone of Bug #644778 +++

Description of problem:
There is a file conflict between many packages (i386 and x86_64) in the optional repository for the Workstation variant, x86_64 arch.

Version-Release number of selected component (if applicable):
RHEL6.0-20100922.1 
yum-3.2.27-14.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Do yum localinstall *.rpm inside the optional repository
2.
3.
  
Actual results:
Multiple file conflicts, transaction aborted.

Expected results:
No conflicts

Additional info:
WIll post the entire log in the next comment.

--- Additional comment from atodorov@redhat.com on 2010-10-20 12:05:41 EEST ---

Running rpm_check_debug
Running Transaction Test


Transaction Check Error:
  file /usr/bin/autotrace-config conflicts between attempted installs of autotrace-devel-0.31.1-25.el6.x86_64 and autotrace-devel-0.31.1-25.el6.i686

Comment 1 Jaroslav Škarvada 2010-11-29 14:52:35 UTC
Created attachment 463502 [details]
Fix multilib conflict.

Comment 3 Suzanne Yeghiayan 2011-02-15 21:45:51 UTC
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.

Comment 6 Miroslav Svoboda 2011-07-13 09:43:29 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When installing autotrace-devel multilib RPM packages from the optional repository, file conflicts between these packages appeared, causing the installation transaction to abort. This problem has been fixed and the installation transaction now proceeds without conflicts.

Comment 9 errata-xmlrpc 2011-08-18 06:45:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1168.html


Note You need to log in before you can comment on or make changes to this bug.